Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | Public Attributes | List of all members
eZAudit Class Reference

## Static Public Member Functions
static | fetchAuditNameSettings ()
static | writeAudit ( $auditName, $auditAttributes=array())
static | isAuditEnabled ()
static | fetchAuditEnabled ()
static | auditNameSettings ()

## Public Attributes
const | DEFAULT_LOG_DIR = 'log/audit'

## Detailed Description

Definition at line 11 of file ezaudit.php.

## Member Function Documentation

## ◆ auditNameSettings()

static eZAudit::auditNameSettings | ( |  | ) |
| static

Returns an associative array of all names of audit and the log files used by this class

Returns
  array

Definition at line 122 of file ezaudit.php.

References fetchAuditNameSettings().

Referenced by writeAudit().

## ◆ fetchAuditEnabled()

static eZAudit::fetchAuditEnabled | ( |  | ) |
| static

Returns true if audit should be enabled. Will fetch from ini setting.

Returns
  bool

Definition at line 107 of file ezaudit.php.

Referenced by isAuditEnabled().

## ◆ fetchAuditNameSettings()

static eZAudit::fetchAuditNameSettings | ( |  | ) |
| static

Returns an associative array of all names of audit and the log files used by this class, Will be fetched from ini settings.

Returns
  array

Definition at line 21 of file ezaudit.php.

References DEFAULT_LOG_DIR.

Referenced by auditNameSettings().

## ◆ isAuditEnabled()

static eZAudit::isAuditEnabled | ( |  | ) |
| static

Returns true if audit should be enabled.

Returns
  boolean

Definition at line 90 of file ezaudit.php.

References fetchAuditEnabled().

Referenced by eZContentObjectTreeNode\hideSubTree(), eZContentObjectTreeNode\removeThis(), eZContentObjectTreeNode\unhideSubTree(), and writeAudit().

## ◆ writeAudit()

static eZAudit::writeAudit | ( |  | $auditName,
|  |  | $auditAttributes = `array()`
| ) |  |
| static

Writes $auditName with $auditAttributes as content to file name that will be fetched from ini settings by auditNameSettings() for logging.

Parameters

  string | $auditName |
  array | $auditAttributes |

Returns
  bool

Definition at line 51 of file ezaudit.php.

References auditNameSettings(), eZSys\clientIP(), eZUser\currentUser(), isAuditEnabled(), eZSys\serverVariable(), and eZLog\write().

Referenced by eZContentObjectTreeNode\assignSectionToSubTree(), eZRole\assignToUser(), eZOrder\cleanup(), eZOrder\cleanupOrder(), eZContentObjectTreeNode\hideSubTree(), eZUser\loginFailed(), eZUser\loginSucceeded(), eZContentObjectTreeNode\move(), eZContentObject\purge(), eZContentObject\removeThis(), eZContentObjectTreeNode\removeThis(), and eZContentObjectTreeNode\unhideSubTree().

## Member Data Documentation

## ◆ DEFAULT_LOG_DIR

const eZAudit::DEFAULT_LOG_DIR = 'log/audit'

Definition at line 13 of file ezaudit.php.

Referenced by fetchAuditNameSettings().

The documentation for this class was generated from the following file:

- ezaudit.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.